Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 1375)
+++ palm/trunk/SOURCE/production_e.f90	(revision 1682)
@@ -1,4 +1,3 @@
- MODULE production_e_mod
-
+!> @file production_e.f90
 !--------------------------------------------------------------------------------!
 ! This file is part of PALM.
@@ -20,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Code annotations made doxygen readable 
 ! 
 ! Former revisions:
@@ -75,8 +74,10 @@
 ! Description:
 ! ------------
-! Production terms (shear + buoyancy) of the TKE
-! WARNING: the case with prandtl_layer = F and use_surface_fluxes = T is
-!          not considered well!
+!> Production terms (shear + buoyancy) of the TKE.
+!> @warning The case with prandtl_layer = F and use_surface_fluxes = T is
+!>          not considered well!
 !------------------------------------------------------------------------------!
+ MODULE production_e_mod
+ 
 
     USE wall_fluxes_mod,                                                       &
@@ -88,8 +89,8 @@
     PUBLIC production_e, production_e_acc, production_e_init
 
-    LOGICAL, SAVE ::  first_call = .TRUE.  !:
-
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, SAVE ::  u_0  !:
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, SAVE ::  v_0  !:
+    LOGICAL, SAVE ::  first_call = .TRUE.  !<
+
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE, SAVE ::  u_0  !<
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE, SAVE ::  v_0  !<
 
     INTERFACE production_e
@@ -110,5 +111,7 @@
 
 !------------------------------------------------------------------------------!
-! Call for all grid points
+! Description:
+! ------------
+!> Call for all grid points
 !------------------------------------------------------------------------------!
     SUBROUTINE production_e
@@ -136,29 +139,29 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i           !:
-       INTEGER(iwp) ::  j           !:
-       INTEGER(iwp) ::  k           !:
-
-       REAL(wp)     ::  def         !:
-       REAL(wp)     ::  dudx        !:
-       REAL(wp)     ::  dudy        !:
-       REAL(wp)     ::  dudz        !:
-       REAL(wp)     ::  dvdx        !:
-       REAL(wp)     ::  dvdy        !:
-       REAL(wp)     ::  dvdz        !:
-       REAL(wp)     ::  dwdx        !:
-       REAL(wp)     ::  dwdy        !:
-       REAL(wp)     ::  dwdz        !:
-       REAL(wp)     ::  k1          !:
-       REAL(wp)     ::  k2          !:
-       REAL(wp)     ::  km_neutral  !:
-       REAL(wp)     ::  theta       !:
-       REAL(wp)     ::  temp        !:
+       INTEGER(iwp) ::  i           !<
+       INTEGER(iwp) ::  j           !<
+       INTEGER(iwp) ::  k           !<
+
+       REAL(wp)     ::  def         !<
+       REAL(wp)     ::  dudx        !<
+       REAL(wp)     ::  dudy        !<
+       REAL(wp)     ::  dudz        !<
+       REAL(wp)     ::  dvdx        !<
+       REAL(wp)     ::  dvdy        !<
+       REAL(wp)     ::  dvdz        !<
+       REAL(wp)     ::  dwdx        !<
+       REAL(wp)     ::  dwdy        !<
+       REAL(wp)     ::  dwdz        !<
+       REAL(wp)     ::  k1          !<
+       REAL(wp)     ::  k2          !<
+       REAL(wp)     ::  km_neutral  !<
+       REAL(wp)     ::  theta       !<
+       REAL(wp)     ::  temp        !<
 
 !       REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  usvs, vsus, wsus, wsvs
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  usvs  !:
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  vsus  !:
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  wsus  !:
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  wsvs  !:
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  usvs  !<
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  vsus  !<
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  wsus  !<
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  wsvs  !<
 
 !
@@ -714,5 +717,7 @@
 
 !------------------------------------------------------------------------------!
-! Call for all grid points - accelerator version
+! Description:
+! ------------
+!> Call for all grid points - accelerator version
 !------------------------------------------------------------------------------!
     SUBROUTINE production_e_acc
@@ -741,28 +746,28 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i           !:
-       INTEGER(iwp) ::  j           !:
-       INTEGER(iwp) ::  k           !:
-
-       REAL(wp)     ::  def         !:
-       REAL(wp)     ::  dudx        !:
-       REAL(wp)     ::  dudy        !:
-       REAL(wp)     ::  dudz        !:
-       REAL(wp)     ::  dvdx        !:
-       REAL(wp)     ::  dvdy        !:
-       REAL(wp)     ::  dvdz        !:
-       REAL(wp)     ::  dwdx        !:
-       REAL(wp)     ::  dwdy        !:
-       REAL(wp)     ::  dwdz        !:
-       REAL(wp)     ::  k1          !:
-       REAL(wp)     ::  k2          !:
-       REAL(wp)     ::  km_neutral  !:
-       REAL(wp)     ::  theta       !:
-       REAL(wp)     ::  temp        !:
-
-       REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  usvs  !:
-       REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  vsus  !:
-       REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  wsus  !:
-       REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  wsvs  !:
+       INTEGER(iwp) ::  i           !<
+       INTEGER(iwp) ::  j           !<
+       INTEGER(iwp) ::  k           !<
+
+       REAL(wp)     ::  def         !<
+       REAL(wp)     ::  dudx        !<
+       REAL(wp)     ::  dudy        !<
+       REAL(wp)     ::  dudz        !<
+       REAL(wp)     ::  dvdx        !<
+       REAL(wp)     ::  dvdy        !<
+       REAL(wp)     ::  dvdz        !<
+       REAL(wp)     ::  dwdx        !<
+       REAL(wp)     ::  dwdy        !<
+       REAL(wp)     ::  dwdz        !<
+       REAL(wp)     ::  k1          !<
+       REAL(wp)     ::  k2          !<
+       REAL(wp)     ::  km_neutral  !<
+       REAL(wp)     ::  theta       !<
+       REAL(wp)     ::  temp        !<
+
+       REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  usvs  !<
+       REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  vsus  !<
+       REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  wsus  !<
+       REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  wsvs  !<
        !$acc declare create ( usvs, vsus, wsus, wsvs )
 
@@ -1380,5 +1385,7 @@
 
 !------------------------------------------------------------------------------!
-! Call for grid point i,j
+! Description:
+! ------------
+!> Call for grid point i,j
 !------------------------------------------------------------------------------!
     SUBROUTINE production_e_ij( i, j )
@@ -1406,28 +1413,28 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i           !:
-       INTEGER(iwp) ::  j           !:
-       INTEGER(iwp) ::  k           !:
-
-       REAL(wp)     ::  def         !:
-       REAL(wp)     ::  dudx        !:
-       REAL(wp)     ::  dudy        !:
-       REAL(wp)     ::  dudz        !:
-       REAL(wp)     ::  dvdx        !:
-       REAL(wp)     ::  dvdy        !:
-       REAL(wp)     ::  dvdz        !:
-       REAL(wp)     ::  dwdx        !:
-       REAL(wp)     ::  dwdy        !:
-       REAL(wp)     ::  dwdz        !:
-       REAL(wp)     ::  k1          !:
-       REAL(wp)     ::  k2          !:
-       REAL(wp)     ::  km_neutral  !:
-       REAL(wp)     ::  theta       !:
-       REAL(wp)     ::  temp        !:
-
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  usvs  !:
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  vsus  !:
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  wsus  !:
-       REAL(wp), DIMENSION(nzb:nzt+1) ::  wsvs  !:
+       INTEGER(iwp) ::  i           !<
+       INTEGER(iwp) ::  j           !<
+       INTEGER(iwp) ::  k           !<
+
+       REAL(wp)     ::  def         !<
+       REAL(wp)     ::  dudx        !<
+       REAL(wp)     ::  dudy        !<
+       REAL(wp)     ::  dudz        !<
+       REAL(wp)     ::  dvdx        !<
+       REAL(wp)     ::  dvdy        !<
+       REAL(wp)     ::  dvdz        !<
+       REAL(wp)     ::  dwdx        !<
+       REAL(wp)     ::  dwdy        !<
+       REAL(wp)     ::  dwdz        !<
+       REAL(wp)     ::  k1          !<
+       REAL(wp)     ::  k2          !<
+       REAL(wp)     ::  km_neutral  !<
+       REAL(wp)     ::  theta       !<
+       REAL(wp)     ::  temp        !<
+
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  usvs  !<
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  vsus  !<
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  wsus  !<
+       REAL(wp), DIMENSION(nzb:nzt+1) ::  wsvs  !<
 
 !
@@ -1903,4 +1910,9 @@
 
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> @todo Missing subroutine description.
+!------------------------------------------------------------------------------!
     SUBROUTINE production_e_init
 
@@ -1917,8 +1929,8 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i   !:
-       INTEGER(iwp) ::  j   !:
-       INTEGER(iwp) ::  ku  !:
-       INTEGER(iwp) ::  kv  !:
+       INTEGER(iwp) ::  i   !<
+       INTEGER(iwp) ::  j   !<
+       INTEGER(iwp) ::  ku  !<
+       INTEGER(iwp) ::  kv  !<
 
        IF ( prandtl_layer )  THEN
